summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorUlf Magnusson <ulfalizer@gmail.com>2015-06-09 16:42:46 +0200
committerUlf Magnusson <ulfalizer@gmail.com>2015-06-09 16:46:15 +0200
commit1f31be32cd2a0c04534c225878f4ce9b7401403f (patch)
tree59d71a5d4ba31d07b6b8d741cfe4d70bf39e5354 /tests
parent0f4882ba3d329005d80b4426688b231381eba5c2 (diff)
Test object __str__() methods.
The format of the strings isn't set in stone, but it's nice to verify that nothing changes. This code was incredibly boring to write. :P
Diffstat (limited to 'tests')
-rw-r--r--tests/Ktext63
1 files changed, 63 insertions, 0 deletions
diff --git a/tests/Ktext b/tests/Ktext
index 8ee00e0..dd9fd82 100644
--- a/tests/Ktext
+++ b/tests/Ktext
@@ -1,3 +1,66 @@
+config BASIC
+ bool
+
+if !BASIC && !BASIC
+
+config ADVANCED
+ tristate "advanced prompt 1" if y || (BASIC && BASIC)
+ select SELECTED_1 if BASIC && DUMMY
+ select SELECTED_2 if !(DUMMY || BASIC)
+ default y if BASIC && !BASIC
+ default n if BASIC = DUMMY
+
+config ADVANCED
+ tristate "advanced prompt 2"
+
+endif
+
+config SELECTED_1
+config SELECTED_2
+config SELECTING_1
+ select ADVANCED if BASIC
+config SELECTING_2
+ select ADVANCED if !BASIC
+
+config INT
+ int
+ default 7
+
+config HAS_RANGES
+ int "ranged"
+ range 1 2 if !DUMMY
+ range INT INT if DUMMY
+ range 123 456
+
+choice
+ bool "choice"
+
+config CHOICE_ITEM_1
+ bool "A"
+config CHOICE_ITEM_2
+ bool "B"
+config CHOICE_ITEM_3
+ bool "C"
+
+endchoice
+
+menu "simple menu"
+endmenu
+
+if !DUMMY
+menu "advanced menu"
+ depends on !BASIC
+ visible if !DUMMY
+endmenu
+endif
+
+comment "simple comment"
+
+if !DUMMY
+ comment "advanced comment"
+ depends on !BASIC
+endif
+
config NO_HELP
bool